Campaign Dial Status

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Use this API to get the dial status data for an outbound campaign.

👍

Note:

Domain Name for In Ccaas: campaigndatahub.cloudagent.ozonetel.com

To access this API, pass all the following parameters. (* are mandatory)

ParameterDescription
fromDateProvide the date in the format (YYYY-MM-DD HH:MM:SS)
toDateProvide the date in the format (YYYY-MM-DD HH:MM:SS)
sortbyPass this parameter as "0" (Zero) - If passed as zero the API fetches all the campaign data.
Pass a "1" - If passed as one, the API responds considering the created date of data for the campaign.
Pass "2" - If passed as two, the API responds considering the updated date of the data of the campaign.
status*
  • All *- Pass "All" to retrieve data for all leads.
  • Fail*- Pass "Fail" to retrieve data for failed leads.
  • Success *- Pass "Success" to retrieve data for successful leads.
  • Pending *- Pass "Pending" to retrieve data for pending leads.
dialstatus*
  • ALL* - Pass "All" to retrieve data for all leads.
  • Fail* - Pass "Fail" to retrieve data for failed leads.
  • NoAnswer* - Pass "NoAnswer" to retrieve data for not answered leads.
  • user_disconnected* - To get the data for the user-disconnected cases.
  • answered* - To get the data for the answered cases.
dispositions*
  • ALL *- To get data related to all the dispositions configured to the campaign.
    You can also pass any configured disposition value.
campaignName*Provide the campaign name
userName*Your CloudAgent account username
callBackUrl*Give the callback URL
❗️

Note

  • Data can be fetched for a single campaign at a time.
  • Allows 1 request fro 15 minutes.

Possible Responses

Passing Invalid apiKey Key"{""status"": ""error"",
""message"": ""apiKey is invalid"",
""uniqueId"": """"}"
Passing Invalid apiKey Value{"status": "error","message": "Authentication failed","uniqueId": ""}
Missing apiKey key"{""status"": ""error"",
""message"": ""apiKey is invalid"",
""uniqueId"": """"}"
Missing apiKey Value{"status": "error","message": "apiKey is invalid","uniqueId": ""}
Passing Invalid userName Key{"status": "error","message": "userName is invalid","uniqueId": ""}
Passing Invalid userName Value{"status": "error","message": "Authentication failed","uniqueId": ""}
Missing userName key{"status": "error","message": "userName is invalid","uniqueId": ""}
Missing userName Value{"status": "error","message": "userName is invalid","uniqueId": ""}
Passing Invalid CampaignName Key"{""status"": ""error"",""message"": ""campaignName is invalid"",
""uniqueId"": """"}"
Passing Invalid CampaignName Value"{""status"": ""error"",""message"": ""campaignName is invalid"",
""uniqueId"": """"}"
Missing Campaign Name Key"{""status"": ""error"",""message"": ""campaignName is invalid"",
""uniqueId"": """"}"
Missing Campaign Name Value"{""status"": ""error"",""message"": ""campaignName is invalid"",
""uniqueId"": """"}"
Passing Invalid callBackUrl Key"{""status"": ""error"",""message"": ""callBackUrl cannot be empty (OR) it should contain ‘http://test.com/’ or 'https://test.com/"",
""uniqueId"": """"}"
Passing Invalid callBackUrl Value"{""status"": ""error"",""message"": ""callBackUrl cannot be empty (OR) it should contain ‘http://test.com/’ or 'https://test.com/"",
""uniqueId"": """"}"
Missing callBackUrl Key"{""status"": ""error"",""message"": ""callBackUrl cannot be empty (OR) it should contain ‘http://test.com/’ or 'https://test.com/"",
""uniqueId"": """"}"
Missing callBackUrl Value"{""status"": ""error"",""message"": ""callBackUrl cannot be empty (OR) it should contain ‘http://test.com/’ or 'https://test.com/"",
""uniqueId"": """"}"
Body Params
Headers
string
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!